Bug 135987 - pkgconfig file has a bug
pkgconfig file has a bug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: speex (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-16 07:17 EDT by Michael A. Peters
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.0.4-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 14:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for speex-1.0.4-3 (382 bytes, patch)
2004-10-17 21:48 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael A. Peters 2004-10-16 07:17:07 EDT
Description of problem:
speex-devel file has bad pkgconfig file

Version-Release number of selected component (if applicable):
speex-devel-1.0.4-3

How reproducible:
everytime

Steps to Reproduce:
1. cat /usr/lib/pkgconfig/speex.pc
2.
3.
  
Actual results:
# libogg pkg-config source file

prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: speex
Description: Speex is an audio codec tuned for speech
Version: @SPEEX_VERSION@
Requires: ogg
Conflicts:
Libs: -L${libdir} -lspeex
Cflags: -I${includedir}


Expected results:
# libogg pkg-config source file

prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

Name: speex
Description: Speex is an audio codec tuned for speech
Version: 1.0.4
Requires: ogg
Conflicts:
Libs: -L${libdir} -lspeex
Cflags: -I${includedir}


Additional info:

I think fixing this will allow the gstreamer plugin to be compiled.
Comment 1 Michael Schwendt 2004-10-17 21:48:02 EDT
Created attachment 105361 [details]
patch for speex-1.0.4-3
Comment 2 Miloslav Trmač 2004-10-18 14:28:19 EDT
Fixed in speex-1.0.4-4. Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.